Bug 125963 - Database Connection Dialog should not be JDBC Specific
Database Connection Dialog should not be JDBC Specific
Status: VERIFIED FIXED
Product: db
Classification: Unclassified
Component: Code
6.x
All All
: P1 (vote)
: 6.x
Assigned To: David Vancouvering
issues@db
http://wiki.netbeans.org/NewConnectio...
: PLAN, UI
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-24 23:23 UTC by David Vancouvering
Modified: 2008-06-18 15:29 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Vancouvering 2008-01-24 23:23:36 UTC
More and more NetBeans users do not use Java or JDBC, and it is foreign for them to use a JDBC URL to specify a
connection.  Also, it is easy to make a mistake when typing in a complicated URL, and can be difficult to debug the error. 

To make the connect dialog more approachable for users, particularly non-Java/JDBC users, change the connect dialog to
not require specifying a JDBC URL wherever possible.

Please see the spec at the URL link for more details.
Comment 1 _ wadechandler 2008-05-13 14:46:15 UTC
Once the connection has been established is there going to be any way to change the schema quickly on the opened
connection? This is very handy with Postgres, Oracle, and other schema supporting systems.
Comment 2 David Vancouvering 2008-06-10 00:48:30 UTC
With these checkins, this works for Java DB, MySQL and PostgreSQL.  More on the way.

http://hg.netbeans.org/main?cmd=changeset;node=119c67cd9a6f
http://hg.netbeans.org/main?cmd=changeset;node=f561d8bc1b2a
Comment 3 Jesse Glick 2008-06-10 03:24:31 UTC
You broke commit validation with one of these:

org.netbeans.jemmy.JemmyException: "NewConnectionDialogTitle" key was not found
	at org.netbeans.jellytools.Bundle.getString(Bundle.java:97)
	at org.netbeans.jellytools.Bundle.getString(Bundle.java:119)
	at org.netbeans.test.ide.IDEValidation.testDb(IDEValidation.java:409)
Comment 4 David Vancouvering 2008-06-10 05:36:56 UTC
Yes, working on it.
Comment 5 John Baker 2008-06-10 05:57:39 UTC
I see that the test with the error is in the module ide.kit,   NewConnectionDialogTitle should be NewConnectionTitle

I was about to fix but looks like you are on top of it
Comment 6 David Vancouvering 2008-06-10 06:16:27 UTC
I checked in 

http://hg.netbeans.org/main?cmd=changeset;node=44a97f00ba4f

It's a blind checkin, since this part of the test does not run on a Mac, which is my dev platform.  So we'll see if the
commit validation passes this time around.  It should, it's a pretty clear fix.  Thanks to Jesse for tracking this down.
Comment 7 David Vancouvering 2008-06-10 06:18:34 UTC
Oh, it was *John* who tracked this down, not *Jesse*.  Thanks, John!
Comment 8 David Vancouvering 2008-06-13 17:24:05 UTC
http://hg.netbeans.org/main?cmd=changeset;node=175950a39198
http://hg.netbeans.org/main?cmd=changeset;node=15ddf40fd2d3

With these two change sets, the major work is done, and all the Big databases (Oracle, MSSQL, MySQL, DB2, PostgreSQL,
Java DB) let you enter in fields rather than set the URL

We can add support for the other databases incrementally, but since the above are the ones we officially support, I deem
that sufficient for closing this issue.  You can still enter in the URL explicitly for other database drivers.
Comment 9 Roman Mostyka 2008-06-18 15:29:21 UTC
Verified with build 080618.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo